Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Countdown_Time Class Reference

Keeps track of the amount of elapsed time. More...

`#include <Time_Value.h>`

Collaboration diagram for ACE_Countdown_Time:

[legend]
List of all members.

## Public Methods
| ACE_Countdown_Time (ACE_Time_Value *max_wait_time)
| Cache the <max_wait_time> and call <start>.
| ~ACE_Countdown_Time (void)
| Call <stop>.
int | start (void)
| Cache the current time and enter a start state.
int | stop (void)
int | update (void)
int | stopped (void) const
| Returns 1 if we've already been stopped, else 0.
## Private Attributes
ACE_Time_Value * | max_wait_time_
| Maximum time we were willing to wait.
ACE_Time_Value | start_time_
| Beginning of the start time.
int | stopped_
| Keeps track of whether we've already been stopped.

## Detailed Description

Keeps track of the amount of elapsed time.

This class has a side-effect on the <max_wait_time> -- every time the <stop> method is called the <max_wait_time> is updated.

## Constructor & Destructor Documentation

ACE_Countdown_Time::ACE_Countdown_Time | ( | ACE_Time_Value * | max_wait_time | ) |

| Cache the <max_wait_time> and call <start>.

ACE_Countdown_Time::~ACE_Countdown_Time | ( | void |  | ) |

| Call <stop>.

## Member Function Documentation

int ACE_Countdown_Time::start | ( | void |  | ) |

| Cache the current time and enter a start state.

int ACE_Countdown_Time::stop | ( | void |  | ) |

| Subtract the elapsed time from max_wait_time_ and enter a stopped state.

int ACE_Countdown_Time::stopped | ( | void |  | ) | const

| Returns 1 if we've already been stopped, else 0.

int ACE_Countdown_Time::update | ( | void |  | ) |

| Calls stop and then start. max_wait_time_ is modified by the call to stop.

## Member Data Documentation

ACE_Time_Value* ACE_Countdown_Time::max_wait_time_`[private]`

| Maximum time we were willing to wait.

ACE_Time_Value ACE_Countdown_Time::start_time_`[private]`

| Beginning of the start time.

int ACE_Countdown_Time::stopped_`[private]`

| Keeps track of whether we've already been stopped.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Time_Value.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Time_Value.cpp